curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-name \
--header 'Authorization: Bearer <token>'{
"updatedList": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filtersUpdatedAt": "2023-11-15T19:03:24.160Z",
"listId": "123",
"listVersion": 2,
"name": "Updated List Name",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T19:03:32.979Z",
"updatedById": "123"
}
}リストの名前を更新します。名前は、ポータルの他の全ての公開リストに対してグローバルに固有である必要があります。
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/update-list-name \
--header 'Authorization: Bearer <token>'{
"updatedList": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filtersUpdatedAt": "2023-11-15T19:03:24.160Z",
"listId": "123",
"listVersion": 2,
"name": "Updated List Name",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T19:03:32.979Z",
"updatedById": "123"
}
}サポートされる製品
必須スコープ
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
更新するリストのILS ID。
レスポンスオブジェクトリスト定義にフィルター分岐定義が含まれている必要があるかどうかを示すフラグ。デフォルトでは、オブジェクトリスト定義のフィルター分岐定義はレスポンスに含まれません。
更新後のリストの名前。
Successful response, for a request with includeFilters set to false.
The updated definition of the list in response to a list update request.
An object list definition.
Show child attributes